org.jboss.resteasy.plugins.providers.multipart

## Class AbstractMultipartWriter

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.multipart.AbstractMultipartWriter

- Direct Known Subclasses:
    AbstractMultipartFormDataWriter, AbstractMultipartRelatedWriter, ListMultipartWriter, MultipartWriter

      public class AbstractMultipartWriter
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Providers` | `workers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMultipartWriter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `write(MultipartOutput multipartOutput, MediaType mediaType, MultivaluedMap<String,Object> httpHeaders, OutputStream entityStream)`
    `protected void` | `writePart(OutputStream entityStream, byte[] boundaryBytes, OutputPart part, MultivaluedMap<String,Object> headers)`
    `protected void` | `writeParts(MultipartOutput multipartOutput, OutputStream entityStream, byte[] boundaryBytes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### workers

          @Context
          protected Providers workers

  - ### Constructor Detail

    - #### AbstractMultipartWriter

          public AbstractMultipartWriter()

  - ### Method Detail

    - #### write

          protected void write(MultipartOutput multipartOutput,
                   MediaType mediaType,
                   MultivaluedMap<String,Object> httpHeaders,
                   OutputStream entityStream)
                        throws IOException

      Throws:
        `IOException`

    - #### writeParts

          protected void writeParts(MultipartOutput multipartOutput,
                        OutputStream entityStream,
                        byte[] boundaryBytes)
                             throws IOException

      Throws:
        `IOException`

    - #### writePart

          protected void writePart(OutputStream entityStream,
                       byte[] boundaryBytes,
                       OutputPart part,
                       MultivaluedMap<String,Object> headers)
                            throws IOException

      Throws:
        `IOException`

Copyright © 2014. All Rights Reserved.